package com.StudentServices.MarksService.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.ArrayList;

@Document(collection = "StudentScemaV1")
public class StudentMarks {


    @Id
    private String emailAddress;
    private ArrayList<Mark> marks;

    public StudentMarks() {}


    public StudentMarks(String emailAddress, ArrayList<Mark> marks) {
        this.emailAddress = emailAddress;
        this.marks = marks;
    }


    public String getEmailAddress() {
        return emailAddress;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }

    public ArrayList<Mark> getMarks() {
        return marks;
    }

    public void setMarks(ArrayList<Mark> marks) {
        this.marks = marks;
    }

}
